<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\DatamodulHelper\Kurse;

class HausmeisterKurseInRaum extends KursHelper
{
  
  protected $raumNr;

  public function __construct($toolSettings, $user, $raumNr)
  {
    parent::__construct($toolSettings, $user);
    $this->raumNr = $raumNr;
  }

  
  protected function getKursnummern($dbwKurse)
  {
    $kurse = $dbwKurse->getKurseByRaumNR($this->raumNr);

    return \ArrayOperations::mapAttribut($kurse, 'id');
  }

  protected function setzeFilter($dbwKurse, $pToolId, $pRequestSuchParam, $pRequestEinstieg, $pSetDbwOrderBySettings)
  {
    return $dbwKurse;
  }

  protected function setzeEinstellungen($dbwKurse)
  {
    $dbwKurse = parent::setzeEinstellungen($dbwKurse);
    $dbwKurse->beratungstageKurseAusblenden = false;

    return $dbwKurse;
  }
}